LibOFX: OfxStatusData Struct Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# OfxStatusData Struct Reference

## Detailed Description

An abstraction of an OFX STATUS element.

The OfxStatusData structure represents a STATUS OFX element sent by the OFX server. Be carefull, you do not have much context except the entity name so your application should probably ignore this status if code==0. However, you should display a message if the status in non-zero, since an error probably occurred on the server side.

In a future version of this API, OfxStatusData structures might be linked from the OFX structures they are related to.

Definition at line 189 of file inc/libofx.h.

## OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
enum | Severity { INFO, WARN, ERROR, INFO, WARN, ERROR }
int | code
const char * | name
const char * | description
int | code_valid
enum OfxStatusData::Severity | severity
int | severity_valid
## OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
enum | Severity { INFO, WARN, ERROR, INFO, WARN, ERROR }
const char * | name
const char * | description
enum OfxStatusData::Severity | severity

## Member Enumeration Documentation

enum OfxStatusData::Severity

Severity of the error

Enumerator:

  INFO | The status is an informational message
  WARN | The status is a warning
  ERROR | The status is a true error
  INFO | The status is an informational message
  WARN | The status is a warning
  ERROR | The status is a true error

Definition at line 208 of file inc/libofx.h.

enum OfxStatusData::Severity

Severity of the error

Enumerator:

  INFO | The status is an informational message
  WARN | The status is a warning
  ERROR | The status is a true error
  INFO | The status is an informational message
  WARN | The status is a warning
  ERROR | The status is a true error

Definition at line 208 of file libofx-0.9.1/inc/libofx.h.

## Field Documentation

int OfxStatusData::ofx_element_name_valid

Name of the OFX element this status is relevant to

Definition at line 196 of file inc/libofx.h.

Referenced by ofx_proc_status_cb().

int OfxStatusData::code

Status code

Definition at line 202 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute(), and ofx_proc_status_cb().

const char* OfxStatusData::name

Code short name

Definition at line 203 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute(), and ofx_proc_status_cb().

const char* OfxStatusData::description

Code long description, from ofx_error_msg.h

Definition at line 204 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute(), and ofx_proc_status_cb().

int OfxStatusData::code_valid

If code_valid is true, so is name and description (They are obtained from a lookup table)

Definition at line 205 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute(), and ofx_proc_status_cb().

enum OfxStatusData::Severity OfxStatusData::severity

Severity of the error

Referenced by OfxStatusContainer::add_attribute(), and ofx_proc_status_cb().

char* OfxStatusData::server_message

Explanation given by the server for the Status Code. Especially important for generic errors.

Definition at line 219 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute(), ofx_proc_status_cb(), and OfxStatusContainer::~OfxStatusContainer().

const char* OfxStatusData::name

Code short name

Definition at line 203 of file libofx-0.9.1/inc/libofx.h.

const char* OfxStatusData::description

Code long description, from ofx_error_msg.h

Definition at line 204 of file libofx-0.9.1/inc/libofx.h.

enum OfxStatusData::Severity OfxStatusData::severity

Severity of the error

char* OfxStatusData::server_message

Explanation given by the server for the Status Code. Especially important for generic errors.

Definition at line 219 of file libofx-0.9.1/inc/libofx.h.

int OfxStatusData::ofx_element_name_valid

Name of the OFX element this status is relevant to

Definition at line 196 of file inc/libofx.h.

Referenced by ofx_proc_status_cb().

char* OfxStatusData::server_message

Explanation given by the server for the Status Code. Especially important for generic errors.

Definition at line 219 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute(), ofx_proc_status_cb(), and OfxStatusContainer::~OfxStatusContainer().

char* OfxStatusData::server_message

Explanation given by the server for the Status Code. Especially important for generic errors.

Definition at line 219 of file libofx-0.9.1/inc/libofx.h.

The documentation for this struct was generated from the following files:

- inc/libofx.h
- libofx-0.9.1/inc/libofx.h